<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="K2m.css">
</head>



    <body>
        <header>
            <h3 id="h3">Factorial</h3>

        </header>

        <content>


            <form>
                <fieldset>
                    <label for="num">Enter the number</label>
                    <input type="number" id="num">
                </fieldset>

                <fieldset>
                    <button type="button" onclick="calculate()">Result</button>
                </fieldset>
                <fieldset>
                    <label for="fact">Factorial</label>
                    <input type="" id="fact">
                </fieldset>
            </form>
            <script>
                function calculate() {

                    var c = g = document.getElementById("num").value;
                    var i, fact = 1;
                    for (i = 1; i <= c; i++) {
                        fact = fact * i;
                    }
                    document.getElementById("fact").value = fact;
                }
                
            </script>

        </content>
    </body>

</html>